io.vertx.rxjava.ext.shell.cli

## Class CliToken

- java.lang.Object
- - io.vertx.rxjava.ext.shell.cli.CliToken

-     public class CliToken
      extends Object

  A parsed token in the command line interface.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CliToken(CliToken delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CliToken` | `createBlank(String blank)` Create a new blank token.
    `static CliToken` | `createText(String text)` Create a text token.
    `Object` | `getDelegate()`
    `boolean` | `isBlank()`
    `boolean` | `isText()`
    `static CliToken` | `newInstance(CliToken arg)`
    `String` | `raw()`
    `static List<CliToken>` | `tokenize(String s)` Tokenize the string argument and return a list of tokens.
    `String` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CliToken

          public CliToken(CliToken delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createText

          public static CliToken createText(String text)

      Create a text token.
      Parameters:
        `text` - the text
      Returns:
        the token

    - #### createBlank

          public static CliToken createBlank(String blank)

      Create a new blank token.
      Parameters:
        `blank` - the blank value
      Returns:
        the token

    - #### value

          public String value()

      Returns:
        the token value

    - #### raw

          public String raw()

      Returns:
        the raw token value, that may contain unescaped chars, for instance

    - #### isText

          public boolean isText()

      Returns:
        true when it's a text token

    - #### isBlank

          public boolean isBlank()

      Returns:
        true when it's a blank token

    - #### tokenize

          public static List<CliToken> tokenize(String s)

      Tokenize the string argument and return a list of tokens.
      Parameters:
        `s` - the tokenized string
      Returns:
        the tokens

    - #### newInstance

          public static CliToken newInstance(CliToken arg)

Copyright © 2016. All rights reserved.